org.hibernate.search.elasticsearch.work.impl

## Class ForwardingElasticsearchWorkExecutionContext

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.ForwardingElasticsearchWorkExecutionContext

- All Implemented Interfaces:
    ElasticsearchWorkExecutionContext

      public class ForwardingElasticsearchWorkExecutionContext
      extends Object
      implements ElasticsearchWorkExecutionContext

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForwardingElasticsearchWorkExecutionContext(ElasticsearchWorkExecutionContext delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexingMonitor` | `getBufferedIndexingMonitor(IndexingMonitor indexingMonitor)`
    `ElasticsearchClient` | `getClient()`
    `GsonProvider` | `getGsonProvider()`
    `void` | `setIndexDirty(URLEncodedString indexName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForwardingElasticsearchWorkExecutionContext

          public ForwardingElasticsearchWorkExecutionContext(ElasticsearchWorkExecutionContext delegate)

  - ### Method Detail

    - #### getClient

          public ElasticsearchClient getClient()

      Specified by:
        `getClient` in interface `ElasticsearchWorkExecutionContext`

    - #### getGsonProvider

          public GsonProvider getGsonProvider()

      Specified by:
        `getGsonProvider` in interface `ElasticsearchWorkExecutionContext`

    - #### setIndexDirty

          public void setIndexDirty(URLEncodedString indexName)

      Specified by:
        `setIndexDirty` in interface `ElasticsearchWorkExecutionContext`

    - #### getBufferedIndexingMonitor

          public IndexingMonitor getBufferedIndexingMonitor(IndexingMonitor indexingMonitor)

      Specified by:
        `getBufferedIndexingMonitor` in interface `ElasticsearchWorkExecutionContext`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved